package com.sunxung.factoring.entity.salescontractmanagement;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import com.sunxung.factoring.entity.BaseEntity;
import com.sunxung.factoring.entity.sys.Dictionary;

/**
 * @Description : 销售合同结算信息
 * @Author : L.Jia
 * @Date: 2021-09-13 15:59
 */
@TableName("sales_contract_settle_info")
public class SalesContractSettleInfo extends BaseEntity {

    /** 结算周期方式 **/
    private Long settleCycleMethod;

    /** 结算周期方式字典项 **/
    @TableField(exist = false)
    private Dictionary settleCycleMethodDict;

    /** 结算周期 **/
    private Integer settleCycle;

    /** 约定回款时间 **/
    private Integer planPaybackDays;

    /** 预估回款时间 **/
    private Integer estimatePaybackDays;

    /** 对应销售合同基础信息Id **/
    private Long salesContractBasicInfoId;

    /** 应收账款种类 **/
    @TableField("receivable_type")
    private Long receivableType;

    /** 应收账款种类字典 **/
    @TableField(exist = false)
    private Dictionary receivableTypeDic;

    public Long getSettleCycleMethod() {
        return settleCycleMethod;
    }

    public void setSettleCycleMethod(Long settleCycleMethod) {
        this.settleCycleMethod = settleCycleMethod;
    }

    public Dictionary getSettleCycleMethodDict() {
        return settleCycleMethodDict;
    }

    public void setSettleCycleMethodDict(Dictionary settleCycleMethodDict) {
        this.settleCycleMethodDict = settleCycleMethodDict;
    }

    public Integer getSettleCycle() {
        return settleCycle;
    }

    public void setSettleCycle(Integer settleCycle) {
        this.settleCycle = settleCycle;
    }

    public Integer getPlanPaybackDays() {
        return planPaybackDays;
    }

    public void setPlanPaybackDays(Integer planPaybackDays) {
        this.planPaybackDays = planPaybackDays;
    }

    public Integer getEstimatePaybackDays() {
        return estimatePaybackDays;
    }

    public void setEstimatePaybackDays(Integer estimatePaybackDays) {
        this.estimatePaybackDays = estimatePaybackDays;
    }

    public Long getSalesContractBasicInfoId() {
        return salesContractBasicInfoId;
    }

    public Long getReceivableType() {
        return receivableType;
    }

    public void setReceivableType(Long receivableType) {
        this.receivableType = receivableType;
    }

    public Dictionary getReceivableTypeDic() {
        return receivableTypeDic;
    }

    public void setReceivableTypeDic(Dictionary receivableTypeDic) {
        this.receivableTypeDic = receivableTypeDic;
    }

    public void setSalesContractBasicInfoId(Long salesContractBasicInfoId) {
        this.salesContractBasicInfoId = salesContractBasicInfoId;
    }
}
